> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# validate OTP

> Validate OTP. Returns true if OTP code is valid, and false if not.



## OpenAPI

````yaml /openapi.json post /api/v1/user/{id}/otp/{credentialId}/validate
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/user/{id}/otp/{credentialId}/validate:
    post:
      tags:
        - User Route
      summary: validate OTP
      description: Validate OTP. Returns true if OTP code is valid, and false if not.
      parameters:
        - name: credentialId
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    ResponseDto:
      type: object
      properties:
        response:
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````